List Users
/unified/ticketing/users
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
2 supported1 required
The user's username
13 supported
The user's email addresses
46 supported
The user's email address
The type of email address
2 supported
The IDs of the teams the user is a member of
12 supported
created_atemailsfirst_namelast_nameupdated_at
3 supported
first_namelast_namecreated_atupdated_atemailsfirst_nameThe date and time the user was created
ascdesc
1 supported
The name of the user to sort by.
ascdesc
1 supported
2 supported
2 supported2 required2 notes
Collection with type project is required.
Collection of type project is required
The unique identifier for a collection
The user's name
46 supported
The date and time the user was last updated
20 supported
1 supported
The unique identifier for a organization.
Whether the user is active or not
31 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Users
The user's unique identifier
47 supported
The user's name
46 supported
The URL of the user's avatar
19 supported
The date and time the user was created
24 supported
The user's email addresses
46 supported
2 properties
The user's email address
The type of email address
The unique identifier for the specific version of the resource.
The user's first name
26 supported
Whether the user is active or not
31 supported
The user's last name
26 supported
Raw data returned from the remote API call.
The roles the user has
24 supported
2 properties
The role's unique identifier
The role's name
The IDs of the teams the user is a member of
12 supported
The date and time the user was last updated
20 supported
The user's username
13 supported
curl -X GET 'https://api.truto.one/unified/ticketing/users?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ticketing/users?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ticketing/users"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'ticketing',
'users',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"ticketing",
"users",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())